<?php
class Html
{
  public static function form_text( array $params = array() )
  {
    $tpl = new \Tpl;
    $tpl -> params = $params;
    return $tpl -> render( 'html/form-text' );
  }
  
  public static function input_switch( array $params = array() )
  {
    $tpl = new \Tpl;
    $tpl -> params = $params;
    return $tpl -> render( 'html/input-switch' );
  }
  
  public static function select( array $params = array() )
  {
    $tpl = new \Tpl;
    $tpl -> params = $params;
    return $tpl -> render( 'html/select' );
  }
  
  public static function textarea( array $params = array() )
  {
    $defaults = array(
      'rows'  => 4,
    );
    
    $params = array_merge( $defaults, $params );
    
    $tpl = new \Tpl;
    $tpl -> params = $params;
    return $tpl -> render( 'html/textarea' );
  }
  
  public static function input_icon( array $params = array() )
  {
    $defaults = array(
      'type'  => 'text',
    );
    
    $params = array_merge( $defaults, $params );
    
    $tpl = new \Tpl;
    $tpl -> params = $params;
    return $tpl -> render( 'html/input-icon' );
  }
  
  public static function input( array $params = array() )
  {
    $defaults = array(
      'type'  => 'text',
    );
    
    $params = array_merge( $defaults, $params );
    
    $tpl = new \Tpl;
    $tpl -> params = $params;
    return $tpl -> render( 'html/input' );
  }
  
  public static function button( array $params = array() )
  {
    $defaults = array(
      'class' => 'btn-sm btn-info',
    );

    $params = array_merge( $defaults, $params );
    
    $tpl = new \Tpl;
    $tpl -> params = $params;
    return $tpl -> render( 'html/button' );
  }
  
  public static function panel( array $params = array() )
  {
    $defaults = array(
      'title' => 'panel-title',
      'class' => 'panel-primary',
      'content' => 'panel-content'
    );

    $params = array_merge( $defaults, $params );
    
    $tpl = new \Tpl;
    $tpl -> params = $params;
    return $tpl -> render( 'html/panel' );
  }
}
